@charset 'UTF-8';

$fonts_locale: null !default;
$fonts: (
    default: (
        regular: (
            font-family: ('Roboto', 'Arial', sans-serif),
            font-weight: normal,
        ),
        bold: (
            font-family: ('Roboto', 'Arial', sans-serif),
            font-weight: 700,
        ),
        thin: (
            font-family: ('Roboto', 'Arial', sans-serif),
            font-weight: 300,
        ), 
    ),
);

@mixin font(
    $type: main,
    $size: null,
    $line-height: null
) {
    @if $type != null {
        $__fonts_map: map-get($fonts, default);

        @if $fonts_locale != null {
            $__fonts_map: map-merge(
                map-get($fonts, default),
                map-get($fonts, $fonts_locale)
            );
        }

        $__current_font_type_map: map-get($__fonts_map, $type);

        @if type-of($__current_font_type_map) == map {
            @each $property, $value in $__current_font_type_map {
                #{$property}: $value;
            }
        } @else {
            @warn('There is no such font type:' + $type);
        }
    }

    font-size: $size;
    line-height: $line-height;
}
